
desc "Install project into INSTALL_DIR"
task :'install' => [ :'compile',
                     :'install:pre',
                     :'install:main',
                     :'install:post' ]

namespace :'install' do
  task :'pre'
  task :'post'
  task :'main'  
end

desc "Create build artifacts, e.g., deployable archives & packages"
task :'artifacts' => [ :'install',
                     :'artifacts:pre',
                     :'artifacts:main',
                     :'artifacts:post' ]

namespace :'artifacts' do
  task :'pre'
  task :'post'
  task :'main' => :'setup' do 
    if File.exist? ARTIFACTS_DIR / BUILD_NAME then
      zip ARTIFACTS_DIR / BUILD_NAME, remove: true
    end
  end
end
